## kdrill 4.0

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.72 92/09/14 11:44:22 rws Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.a000yK>
# $XConsortium: Imake.tmpl,v 1.158 92/09/03 19:54:25 rws Exp $
#
# Platform-specific parameters may be set in the appropriate <vendor>.cf
# configuration files.  Site-specific parameters should be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor does not define any unique symbols, you will need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make World" the first time).
#

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

# -------------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

#
# platform:  $XConsortium: sun.cf,v 1.77 92/05/29 18:37:21 rws Exp $

# operating system:  SunOS 5.3

.INIT: Makefile
REVCTLARCHFILE = SCCS/s.Imakefile
REVCTLCMD = sccs get

# $XConsortium: sv4Lib.rules,v 1.8 91/07/19 15:38:53 rws Exp $

.c.o:
	$(CC) -c $(CFLAGS) $*.c

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar cq
  BOOTSTRAPCFLAGS =
               CC = cc
               AS = as

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = /usr/ucb/install
               LD = ld
              LEX = lex
             YACC = yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -ax
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

               RM = rm -f
            TROFF = psroff -t
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn
     STD_INCLUDES =
  STD_CPP_DEFINES = -DSVR4 -DSYSV
      STD_DEFINES = -DSVR4 -DSYSV
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES = -lsocket -lnsl
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

      PROJECTROOT = $(OPENWINHOME)
      DESTDIR =

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O4
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
	  CCFLAGS = $(CDEBUGFLAGS) $(CCCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)

           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS) $(EXTRA_LDOPTIONS) $(LOCAL_LDFLAGS) -L$(USRLIBDIR)

   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM) mapfile *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut *.O

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE)  \
			$(EXTRA_ICONFIGFILES)

# -------------------------------------------------------------------------
# X Window System Build Parameters
# $XConsortium: Project.tmpl,v 1.152 92/08/10 17:47:45 eswu Exp $

# -------------------------------------------------------------------------
# X Window System make variables; this need to be coordinated with rules

          PATHSEP = /
        USRLIBDIR = $(OPENWINHOME)/lib
         SHLIBDIR = $(OPENWINHOME)/lib
           BINDIR = /usr/local/bin
          DEMODIR = $(OPENWINHOME)/demo
          INCROOT = $(OPENWINHOME)/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
          MANPATH = /usr/local/man
    MANSOURCEPATH = $(MANPATH)/man
        MANSUFFIX = n
     LIBMANSUFFIX = 3
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
           NLSDIR = $(LIBDIR)/nls
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb

            FONTC = bdftopcf

        MKFONTDIR = mkfontdir
        MKDIRHIER = mkdirhier

        CONFIGSRC = $(TOP)/config
       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/../../../lib/libfont
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          DDXSRC  = $(SERVERSRC)/ddx
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

      BDFTOPCFSRC = $(FONTSRC)/clients/bdftopcf

     MKFONTDIRSRC = $(FONTSRC)/clients/mkfontdir
         FSLIBSRC = $(FONTSRC)/lib/fs
    FONTSERVERSRC = $(FONTSRC)/server
     EXTENSIONSRC = $(TOP)/extensions
         XILIBSRC = $(TOP)/../../../lib/libXinput
      XTESTLIBSRC = $(EXTENSIONSRC)/lib/xtest
        PEXLIBSRC = $(EXTENSIONSRC)/lib/PEXlib
      PHIGSLIBSRC = $(EXTENSIONSRC)/lib/PEX
	  DGALIBSRC = $(EXTENSIONSRC)/lib/dga

# $XConsortium: sv4Lib.tmpl,v 1.8 92/06/28 17:43:23 rws Exp $

       SERVERETC = $(OPENWINHOME)/server/etc

       SERVERLIB = $(OPENWINHOME)/server/lib

   SERVERMODULES = $(OPENWINHOME)/server/modules

SHLIBLDFLAGS = -G -z text -M mapfile
PICFLAGS = -K PIC
MAPFILE = MapfileName

  DEPEXTENSIONLIB =
     EXTENSIONLIB = -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)
         XLIBONLY = -lX11
             XLIB = $(EXTENSIONLIB) $(XLIBONLY)

        DEPXMULIB =
       XMULIBONLY = -lXmu
           XMULIB = $(XMULIBONLY) -z nodefs

       DEPOLDXLIB =
          OLDXLIB = -loldX

      DEPXTOOLLIB =
         XTOOLLIB = -lXt

        DEPXAWLIB =
           XAWLIB = -lXaw

        DEPXILIB =
           XILIB = -lXi

        DEPXTESTLIB =
           XTESTLIB = -lXtst

        DEPPEXLIB =
         PEXLIB = -lPEX5

        DEPDGALIB =
           DGALIB = -ldga

        SOXLIBREV = 5.0
          SOXTREV = 5.0
         SOXAWREV = 5.0
        SOOLDXREV = 5.0
         SOXMUREV = 5.0
        SOXEXTREV = 5.0
      SOXINPUTREV = 5.0
       SOXTESTREV = 1.0
       SOXTRAPREV = 1.0
         SOPEXREV = 1.0
	 SODPSREV = 5
	 SODGAREV = 1

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB =  -lXau
      DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
         XDMCPLIB =  -lXdmcp

        DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
           PHIGSLIB =  -lphigs

       DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
          XBSDLIB =  -lXbsd

 LINTEXTENSIONLIB = $(LINTLIBDIR)/llib-lXext.ln
         LINTXLIB = $(LINTLIBDIR)/llib-lX11.ln
          LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(LINTLIBDIR)/llib-lXt.ln
          LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln
           LINTXI = $(LINTLIBDIR)/llib-lXi.ln
          LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln
        LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln
		LINTDGA = $(LINTLIBDIR)/llib-ldga.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

# -------------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.129 92/05/29 17:01:19 rws Exp $

# -------------------------------------------------------------------------
# start of Imakefile

DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)
LOCAL_LIBRARIES = $(XAWLIB) $(XMULIBONLY) $(XTOOLLIB) $(XLIB)

UNCOMPRESS = gzip -d -c
UNCOMPRESSEXT = .gz
DICTLOCATION= /usr/local/lib/kanjidic.gz

# IF you have a BSD system, and thereby presumably don't have
# memset, or memcpy, or srand, or lrand48, please uncomment
# the  -DBSD line

# ISBSD = -DBSD

# Where to install?
# BINDIR = /usr/local/bin/X11

DICTDEFS = -DDICTLOCATION='"KDrill*dictfile:	 $(DICTLOCATION)"'
COMPRESSDEFS = -DUNCOMPRESS='"$(UNCOMPRESS)"' \
		-DUNCOMPRESSEXT='"$(UNCOMPRESSEXT)"'

INCLUDES = -I$(INCROOT)/X11

EXTRA_DEFINES = $(ISBSD)

SRCS = main.c options.c readfile.c game.c init.c widgets.c grades.c \
	frequency.c mainwindow.c search.c log.c
OBJS = main.o options.o readfile.o game.o init.o widgets.o grades.o \
	frequency.o mainwindow.o search.o log.o

 PROGRAM = kdrill

all:: kdrill

kdrill: $(OBJS) $(DEPLIBS)
	$(RM) $@
	$(CC) -o $@ $(OBJS) $(LDOPTIONS) $(LOCAL_LIBRARIES) $(LDLIBS) $(EXTRA_LOAD_FLAGS)

install:: $(DESTDIR)$(BINDIR)/kdrill
$(DESTDIR)$(BINDIR)/kdrill: kdrill
	@if [ -d $(DESTDIR)$(BINDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(BINDIR)); fi
	$(INSTALL) -c $(INSTPGMFLAGS)  kdrill $(DESTDIR)$(BINDIR)

install.man:: kdrill.man
	@if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
	$(INSTALL) -c $(INSTMANFLAGS) kdrill.man $(DESTDIR)$(MANDIR)/kdrill.$(MANSUFFIX)

depend:: $(SRCS) $(HEADERS)
	$(DEPEND) $(DEPENDFLAGS) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)
dependlocal:: $(SRCS) $(HEADERS)
	$(DEPEND) $(DEPENDFLAGS) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

lint:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)
lint1:
	$(LINT) $(LINTFLAGS) $(FILE) $(LINTLIBS)

clean::
	$(RM) $(PROGRAM)

readfile.o:
	$(CC) -c $(CFLAGS)  $(COMPRESSDEFS)  $*.c

init.o:
	$(CC) -c $(CFLAGS)  $(DICTDEFS)  $*.c

# -------------------------------------------------------------------------
# common rules for all Makefiles - do not edit

emptyrule::

dependlocal::
includes:: $(HEADERS) $(OTHERFILES)

clean::
	$(RM_CMD) "#"*

Makefile:: Imakefile
	-@if [ -f Makefile ]; then set -x; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)
	$(MAKE) $(MFLAGS) dependlocal

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

# -------------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

## kdrill 5.9.3

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.0Mkg_a>
# $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
# $SunSoft: @(#)Imake.tmpl	1.1 01/13/97 16:16:22 $
#

# **************************************************************************
# NOTE:
#
# If the user does not define DESTDIR and/or BINDIR in the local Imakefile,
# 'make install' will install the resultant binaries in /usr/openwin/bin.
# This usually fails because of lack of write permission in that directory
# for non-root users.
#
# The reason is that the default definition of ProjectRoot is /usr/openwin.
# This value determines all other definitions, e.g. the binary, library and
# manual page directories, etc.  The destination directory, DESTDIR, is not
# defined and BINDIR is defined as $(ProjectRoot)/bin in Project.tmpl.
#
# Care must be taken when changing ProjectRoot.  It affects the inclusion
# path of 'imake' in finding the *.cf, *.def, *.tmpl and *.rules files,
# which are in /usr/openwin/lib/X11/config/, and the default inclusion path
# of X11 header files and libraries. Therefore, if ProjectRoot is changed
# not only these configuration files need to be copied to a proper location,
# defined by IRULESRC, so 'make Makefile' can work properly, the header file
# inclusion path, /usr/openwin/include, and the library search path,
# /usr/openwin/lib, also need to be defined properly either in the local
# Imakefile or one of the configuration files to avoid compilation errors
# for programs that use X11 header files or libraries.
#
# Please refer to Project.tmpl, Imake.tmpl, site.def, etc. in
# /usr/openwin/lib/X11/config/ for details.
# **************************************************************************

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $
# $SunSoft: @(#)Imake.cf	1.1 01/13/97 16:16:21 $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.11 94/06/03 19:50:12 matt Exp $
# site:  $SunSoft: @(#)site.def	1.1 01/13/97 16:16:27$

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.133 94/07/08 12:23:12 gildea Exp $
# platform:  $SunSoft: @(#)sun.cf	1.1 01/13/97 16:16:27 $

# operating system:  SunOS 5.6

# SUNSOFT SUNSOFT_LOADABLE

# $XConsortium: svr4.cf,v 1.6 94/04/08 18:56:33 rws Exp $
# $SunSoft: @(#)svr4.cf	1.1 01/13/97 16:16:29 $

# $XConsortium: sv4Lib.rules,v 1.14 94/04/09 12:00:10 rws Exp $
# $SunSoft: @(#)sv4Lib.rules	1.1 01/13/97 16:16:28 $

# SUNSOFT SUNSOFT_LOADABLE

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.11 94/06/03 19:50:12 matt Exp $
# site:  $SunSoft: @(#)site.def	1.1 01/13/97 16:16:27$

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.193 94/04/10 17:39:55 rws Exp $
# rules:  $SunSoft: @(#)Imake.rules	1.1 01/13/97 16:16:21 $

# SUNSOFT SUNSOFT_LOADABLE

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/openwin/include
        USRLIBDIR = /usr/openwin/lib
         SHLIBDIR = /usr/openwin/lib
       LINTLIBDIR = $(USRLIBDIR)
          MANPATH = /usr/openwin/share/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = /usr/ccs/bin/ar cq
  BOOTSTRAPCFLAGS = -DSVR4
               CC = gcc -fpcc-struct-return
               AS = /usr/ccs/bin/as

         COMPRESS = compress
              CPP = /usr/ccs/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -fpcc-struct-return -E $(STD_CPP_DEFINES)
          INSTALL = /usr/ucb/install
     INSTALLFLAGS = -c
               LD = /usr/ccs/bin/ld
              LEX = /usr/ccs/bin/lex
           LEXLIB = -ll
             YACC = /usr/ccs/bin/yacc
           CCYACC = /usr/ccs/bin/yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -b -h -Xc
               LN = ln -s
             MAKE = /usr/ccs/bin/make
               MV = mv
               CP = cp

               RM = rm -f
        MANSUFFIX = 1
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
      STD_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES = -lsocket -lnsl
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -G -z text -M mapfile

         PICFLAGS = -Kpic

      CXXPICFLAGS = -K PIC

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0644
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g sys -m 2755

      PROJECTROOT = /usr/openwin

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

       CCENVSETUP = LD_RUN_PATH=$(USRLIBDIR)
           CCLINK = $(CCENVSETUP) $(CC)

      CXXENVSETUP = LD_RUN_PATH=$(USRLIBDIR)
          CXXLINK = $(CXXENVSETUP) $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			 $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $
# $SunSoft: @(#)Project.tmpl	1.3 04/21/97 16:46:25 $

# SUNSOFT SUNSOFT_LOADABLE

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/openwin/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(PROJECTROOT)/lib/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: sunLib.tmpl,v 1.37 95/05/23 14:31:40 matt Exp $
# $SunSoft: @(#)sunLib.tmpl	1.2 02/06/97 16:06:36 $

# $XConsortium: sv4Lib.tmpl,v 1.19 93/12/03 10:48:36 kaleb Exp $
# $SunSoft: @(#)sv4Lib.tmpl	1.1 01/13/97 16:16:29 $

XMULIBONLY = -lXmu -lm
XMULIB = -lXmu -lm

       SERVERLIB = /usr/openwin/server/lib

	SERVERMODULES = /usr/openwin/server/modules

	SERVERETC = /usr/openwin/server/etc

SHLIBLDFLAGS = -G -z text -M mapfile
PICFLAGS = -Kpic
MAPFILE = mapfile

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 4
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 0
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 4
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

XMULIB =  -lXmu -lm

          XCONFIGSRC = $(LIBSRC)/Xconfig

SOXCONFIGREV = 0
DEPXCONFIGLIB =
XCONFIGLIB =  -lXconfig

LINTXCONFIG = $(LINTLIBDIR)/llib-lXconfig.ln

          DGASRC = $(LIBSRC)/dga

SODGAREV = 1
DEPDGASRCLIB =
DGASRCLIB =  -ldga

LINTDGASRC = $(LINTLIBDIR)/llib-ldga.ln

          MISRC = $(SERVERSRC)/mi

SOMIREV = 1
DEPMILIB =
MILIB =  -lmi

LINTMI = $(LINTLIBDIR)/llib-lmi.ln

          MFBSRC = $(SERVERSRC)/mfb

SOMFBREV = 1
DEPMFBLIB =
MFBLIB =  -lmfb

LINTMFB = $(LINTLIBDIR)/llib-lmfb.ln

          CFBSRC = $(SERVERSRC)/cfb

SOCFBREV = 1
DEPCFBLIB =
CFBLIB =  -lcfb

LINTCFB = $(LINTLIBDIR)/llib-lcfb.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

SOOLDXREV = 6
DEPOLDXLIB =
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 4
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 5
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =

=== makedic/Makefile ===

# this is the make file for the "makedic" subdir, that really
# makes "makeedict" now.

all:	makeedict makedic

makeedict:	makeedict.c
	gcc -o $@ makeedict.c

#This old version is just kept here for posterity's sake
#It's doubtful you will want to make a new kanjidic entry.
#but if you do, it's here
makedic:	makedic.c
	gcc -o $@ makedic.c

DICTS=hira.edic hiraplus.edic kata.edic kataplus.edic doubled.edic

%.edic:	infile.%
	./makeedict $@ < $<

dictionaries:	makeedict $(DICTS)

doubled.edic:	hiraplus

clean:
	rm makeedict makedic

fullkatahira.edic:	hiraplus.edic kataplus.edic
	cat hiraplus.edic kataplus.edic >fullkatahira.edic
	

#This is still missing combos, like "shi-ya". but oh well.

## kdrill 5.11.7

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $
 
 # -----------------------------------------------------------------------
-# Makefile generated from "Imake.tmpl" and </tmp/IIf.0Mkg_a>
+# Makefile generated from "Imake.tmpl" and </tmp/IIf.vPaGBf>
 # $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
 # $SunSoft: @(#)Imake.tmpl	1.1 01/13/97 16:16:22 $
 #
@@ -51,9 +51,9 @@
 # platform-specific configuration parameters - edit sun.cf to change
 
 # platform:  $XConsortium: sun.cf,v 1.133 94/07/08 12:23:12 gildea Exp $
-# platform:  $SunSoft: @(#)sun.cf	1.1 01/13/97 16:16:27 $
-
-# operating system:  SunOS 5.6
+# platform:  $SunSoft: @(#)sun.cf	1.5 08/25/99 12:27:05 $
+
+# operating system:  SunOS 5.8 x86
 
 # SUNSOFT SUNSOFT_LOADABLE
 
@@ -64,6 +64,8 @@
 # $SunSoft: @(#)sv4Lib.rules	1.1 01/13/97 16:16:28 $
 
 # SUNSOFT SUNSOFT_LOADABLE
+
+	TROFFTOPS = /usr/lib/lp/postscript/dpost | /usr/lib/lp/postscript/postreverse -r
 
 # -----------------------------------------------------------------------
 # site-specific configuration parameters that go after
@@ -110,6 +112,19 @@
   BOOTSTRAPCFLAGS = -DSVR4
                CC = gcc -fpcc-struct-return
                AS = /usr/ccs/bin/as
+
+.SUFFIXES: .cxx
+
+              CXX = g++
+    CXXDEBUGFLAGS = -O2
+ CXXEXTRA_DEFINES =
+CXXEXTRA_INCLUDES =
+  CXXIDL_INCLUDES = -I$(TOP)/include
+   CXXSTD_DEFINES = -Dsun -Di386 -DSVR4 -DSYSV
+       CXXOPTIONS =
+      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
+       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
+         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)
 
          COMPRESS = compress
               CPP = /usr/ccs/lib/cpp $(STD_CPP_DEFINES)
@@ -133,7 +148,7 @@
         MANSUFFIX = 1
      LIBMANSUFFIX = 3
     FILEMANSUFFIX = 4
-            TROFF = psroff
+            TROFF = troff -t -Tpost
          MSMACROS = -ms
               TBL = tbl
               EQN = eqn
@@ -142,8 +157,8 @@
             LATEX = latex
 
      STD_INCLUDES =
-  STD_CPP_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
-      STD_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
+  STD_CPP_DEFINES = -Dsun -Di386 -DSVR4 -DSYSV
+      STD_DEFINES = -Dsun -Di386 -DSVR4 -DSYSV
  EXTRA_LOAD_FLAGS =
   EXTRA_LDOPTIONS =
   EXTRA_LIBRARIES = -lsocket -lnsl
@@ -156,7 +171,7 @@
 
          PICFLAGS = -Kpic
 
-      CXXPICFLAGS = -K PIC
+      CXXPICFLAGS = -fpic
 
     PROTO_DEFINES =
 
@@ -213,7 +228,7 @@
 # -----------------------------------------------------------------------
 # X Window System Build Parameters and Rules
 # $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $
-# $SunSoft: @(#)Project.tmpl	1.3 04/21/97 16:46:25 $
+# $SunSoft: @(#)Project.tmpl	1.4 12/15/98 10:56:11 $
 
 # SUNSOFT SUNSOFT_LOADABLE
 
@@ -383,32 +398,3 @@
        TOOLKITSRC = $(LIBSRC)/Xt
 
 SOXTREV = 4
-DEPXTOOLONLYLIB =
-XTOOLONLYLIB =  -lXt
-
-LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln
-
-      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
-         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
-     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)
-
-       AWIDGETSRC = $(LIBSRC)/Xaw
-
-SOXAWREV = 5
-DEPXAWLIB =
-XAWLIB =  -lXaw
-
-LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln
-
-       XTFSRC = $(TOP)/workInProgress/Xtf
-
-SOXTFREV = 0.7
-DEPXTFLIB =
-XTFLIB =  -lXtf
-
-LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln
-
-       FRESCOSRC = $(TOP)/workInProgress/Fresco
-
-SOFRESCOREV = 0.7
-DEPFRESCOLIB =

## kdrill 6.3.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $
 
 # -----------------------------------------------------------------------
-# Makefile generated from "Imake.tmpl" and </tmp/IIf.vPaGBf>
+# Makefile generated from "Imake.tmpl" and </tmp/IIf.hXaatr>
 # $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
 # $SunSoft: @(#)Imake.tmpl	1.1 01/13/97 16:16:22 $
 #
@@ -51,9 +51,9 @@
 # platform-specific configuration parameters - edit sun.cf to change
 
 # platform:  $XConsortium: sun.cf,v 1.133 94/07/08 12:23:12 gildea Exp $
-# platform:  $SunSoft: @(#)sun.cf	1.5 08/25/99 12:27:05 $
-
-# operating system:  SunOS 5.8 x86
+# platform:  $SunSoft: @(#)sun.cf	1.11 05/04/01 13:49:33 $
+
+# operating system:  SunOS 5.9 x86
 
 # SUNSOFT SUNSOFT_LOADABLE
 
@@ -169,7 +169,7 @@
 
      SHLIBLDFLAGS = -G -z text -M mapfile
 
-         PICFLAGS = -Kpic
+         PICFLAGS = -fpic
 
       CXXPICFLAGS = -fpic
 
@@ -228,7 +228,7 @@
 # -----------------------------------------------------------------------
 # X Window System Build Parameters and Rules
 # $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $
-# $SunSoft: @(#)Project.tmpl	1.4 12/15/98 10:56:11 $
+# $SunSoft: @(#)Project.tmpl	1.6 05/30/02 19:12:02 $
 
 # SUNSOFT SUNSOFT_LOADABLE
 
@@ -282,7 +282,7 @@
    TRANS_INCLUDES = -I$(TRANSCOMMSRC)
 
 # $XConsortium: sunLib.tmpl,v 1.37 95/05/23 14:31:40 matt Exp $
-# $SunSoft: @(#)sunLib.tmpl	1.2 02/06/97 16:06:36 $
+# SunSoft: @(#)sunLib.tmpl	1.4 05/30/02 17:00:20
 
 # $XConsortium: sv4Lib.tmpl,v 1.19 93/12/03 10:48:36 kaleb Exp $
 # $SunSoft: @(#)sv4Lib.tmpl	1.1 01/13/97 16:16:29 $
@@ -297,7 +297,7 @@
 	SERVERETC = /usr/openwin/server/etc
 
 SHLIBLDFLAGS = -G -z text -M mapfile
-PICFLAGS = -Kpic
+PICFLAGS = -fpic
 MAPFILE = mapfile
 
           XLIBSRC = $(LIBSRC)/X11

## kdrill 6.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $
 
 # -----------------------------------------------------------------------
-# Makefile generated from "Imake.tmpl" and </tmp/IIf.hXaatr>
+# Makefile generated from "Imake.tmpl" and </tmp/IIf.j9aizV>
 # $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
 # $SunSoft: @(#)Imake.tmpl	1.1 01/13/97 16:16:22 $
 #

=== makedic/Makefile ===
--- 
+++ 
@@ -13,20 +13,28 @@
 makedic:	makedic.c
 	gcc -o $@ makedic.c
 
-DICTS=hira.edic hiraplus.edic kata.edic kataplus.edic doubled.edic
+DICTS=hira.edic hiraplus.edic kata.edic kataplus.edic fullkatahira.edic
+
+KDICS=hira.kdic hiraplus.kdic kata.kdic kataplus.kdic fullkatahira.kdic
 
 %.edic:	infile.%
 	./makeedict $@ < $<
 
-dictionaries:	makeedict $(DICTS)
+%.kdic:	infile.%
+	./makedic $@ < $<
 
-doubled.edic:	hiraplus
+dictionaries:	makeedict makedic $(DICTS)
+
+kdics:	$(KDICS)
 
 clean:
 	rm makeedict makedic
 
 fullkatahira.edic:	hiraplus.edic kataplus.edic
 	cat hiraplus.edic kataplus.edic >fullkatahira.edic
+
+fullkatahira.kdic:	hiraplus.kdic kataplus.kdic
+	cat hiraplus.kdic kataplus.kdic >fullkatahira.kdic
 	
 
 #This is still missing combos, like "shi-ya". but oh well.

## kdrill 6.5deb2

=== debian/changelog ===
kdrill (6.5deb2-9) unstable; urgency=low

  * Use romanization DU for ヅ and du for づ to avoid showing two entries
    for ZU and zu (closes: #684801).

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 14 Aug 2012 21:52:12 +0200

kdrill (6.5deb2-8) unstable; urgency=low

  * Fix buffer overflow. Thanks to Chow Loong Jin (Closes: #669359).
  * Standards-Version 3.9.3 — no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 19 Apr 2012 22:20:58 +0200

kdrill (6.5deb2-7) unstable; urgency=low

  * Change sections of source, kdrill, and kanadic to 'education'

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Dec 2011 17:31:15 +0100

kdrill (6.5deb2-6) unstable; urgency=low

  * Add trailing semicolons in *.desktop files for Categories. Fixes KDE
    warnings.

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Nov 2011 17:11:49 +0100

kdrill (6.5deb2-5) unstable; urgency=low

  * New patch:
    - increase-maxmulti.diff — increase maximum number of kanji search results
      to 1000 (from 200, closes: #645650).

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 19 Oct 2011 11:55:13 +0200

kdrill (6.5deb2-4) unstable; urgency=low

  * Rewrite package descriptions (thanks to Martin Eberhard Schauer and
    Justin B Rye, closes: #640326).

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Sep 2011 17:23:08 +0200

kdrill (6.5deb2-3) unstable; urgency=low

  * Fix buffer overflow with edict files with more than 163840 entries
    (closes: #632386)
  * Remove articles and capitalization at the beginnings of short decriptions
  * Fix lintian overrides file
  * Standards-Version 3.9.2 — no changes required
  * Add build-arch and build-indep targets
  * Extend allowed number of edict entries (by 0x10000)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 03 Jul 2011 19:29:13 +0200

kdrill (6.5deb2-2) unstable; urgency=low

  * Install everything under debian/tmp first to avoid FTBFS when building
    only arch packages
  * Add Vcs-* fields in debian/control

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 19 Apr 2010 21:19:29 +0200

kdrill (6.5deb2-1) unstable; urgency=low

  * Repackage orig tarball in order to not use tarball-in-tarball scheme
  * Switch to source format 3.0 (quilt)
  * Do not use dbs (closes: #576052)
  * Remove generated files from orig tarball
  * Use dh overrides in debian/rules
  * Standards-Version 3.8.4 — no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 19 Apr 2010 16:24:50 +0200

kdrill (6.5dbs-4) unstable; urgency=low

  * New patches:
    - 11-timeout-miss - patch from Maurice Massar to count timeout as a miss
      (closes: #292305)
  * Add missing ${misc:Depends}
  * Standards-Version 3.8.3
    - add 'patch' target 
  * Use debhelper 7 and dh
  * Add lintian overrides for menu-command-not-in-package, menu-icon-missing
    and desktop-command-not-in-package in kanadic package
  * Add desktop file for kdrill
  * Change menu section for kdrill to Applications/Education
  * Add desktop files for kanadic

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 17 Aug 2009 16:55:04 +0200

kdrill (6.5dbs-3) unstable; urgency=low

  * Fix typo s/--as-neede/--as-needed/ 
  * New patches:
    - 02-implicit-exit-fix - fix incompatible implicit declaration of exit()
    - 03-pointer-fixes - fix warnings about pointer to int conversions
    - 10-search-segfault-fix - fix segfault when using search dialog
  * Add Homepage field

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 28 Apr 2008 14:15:55 +0200

kdrill (6.5dbs-2) unstable; urgency=low

  * Clean directories before building, fixes some FTBFSes

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Apr 2008 15:27:15 +0200

kdrill (6.5dbs-1) unstable; urgency=low

  * New upstream release (closes: #438843)
  * New maintainer (closes: #465962)
  * Use dbs
  * Cleanup debian/rules and other files under debian/
  * Debhelper compatibility level 6
  * Standards-Version 3.7.3
  * Fix unquoted strings in menu entries
  * Adjust debian/copyright
  * New patch:
    - 01-manpages-fixes - fix some errors reported by lintian
  * Fix spelling mistake in kanadic package description (closes: #363994) 
  * Acknowledge NMUs (closes: #349174, #370267, #331876)
  * Build-depend on x11proto-core-dev instead of x-dev

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Apr 2008 15:06:38 +0200

kdrill (6.4-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * cdebconf transition. Removed unnecessary cdebconf depends. Closes: #331876

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 16 Nov 2006 10:46:29 +0100

kdrill (6.4-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend on xutils-dev for the X11R7 transition, and adjust the
    packaging to use the FHS paths. (Closes: #364247)

 -- Julien Danjou <acid@debian.org>  Fri, 19 May 2006 11:53:03 +0200

kdrill (6.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346998)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 13:48:00 +0100

kdrill (6.4-2) unstable; urgency=medium

  * This is a non-feature release. This is just to "unstick" the autobuilders

 -- Philip Brown <pbrown@debian.org>  Thu, 17 Mar 2005 15:32:11 -0500

kdrill (6.4-1) unstable; urgency=low

  * New upstream release
  * fixes upstream bug closing sub-windows
  * Updated README file
    Closes: #245553: debconf note related (note no longer needed)
    Closes: #245551: french translation, no longer needed
    Closes: #245060: japanese translation, no longer needed

 -- Philip Brown <pbrown@vore.debian.org>  Sun,  9 Jan 2005 15:32:11 -0500

kdrill (6.3.1-1) unstable; urgency=low

  * New upstream release
  * Config script now *really* works  (closes #167374)
  * Postinst for config script and dpkg
  * Depends on debconf  (closes #167375)
  * Depends on libxaw7-dev  (closes #169979)
  * Added in attempt to use po-debconf


=== debian/control ===
Source: kdrill
Section: education
Priority: optional
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Build-Depends: debhelper (>= 7.0.50), xutils-dev, libxaw7-dev, libx11-dev, libxt-dev, x11proto-core-dev
Standards-Version: 3.9.3
Homepage: http://www.bolthole.com/kdrill/
Vcs-Git: git://git.debian.org/git/collab-maint/kdrill.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/kdrill.git

Package: kdrill
Section: education
Architecture: any
Recommends: kanadic | kanjidic (>= 2002.02.06-1), xfonts-base (>> 4.0)
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: edict, xjdic
Description: kanji drill and dictionary program
 This package provides a graphical program for learning Japanese
 characters, which also doubles as a dictionary lookup program.
 It requires a dictionary package, such as kanjidic (for learning
 kanji) or kanadic (for learning hiragana or katakana), although
 you can specify a custom dictionary file on the command line.

Package: makedic
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dictionary compiler for KDrill
 This package provides a program to create custom dictionary files for
 KDrill. It can also generate kana dictionary drill files.

Package: kanadic
Section: education
Architecture: all
Depends: ${misc:Depends}
Suggests: kdrill
Description: katakana and hiragana drill files for KDrill
 This package provides files for practicing katakana and hiragana with
 KDrill. It includes basic and extended versions of each list.

=== debian/rules ===
#!/usr/bin/make -f

# This does not work
#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#	MAKEFLAGS += -j$(NUMJOBS)
#endif

SPECIALFLAGS=DICTLOCATION=/usr/share/edict/kanjidic EDICTLOCATION=/usr/share/edict/edict RADLOCATION=/var/lib/xjdic/radkfile
PKGDIR=$(CURDIR)/debian/tmp

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export LOCAL_LDFLAGS=-Wl,--as-needed

override_dh_auto_configure:
	xmkmf -a

override_dh_auto_build:
	$(MAKE) $(SPECIALFLAGS)
	$(MAKE) -C makedic

override_dh_auto_test:
	# nothing

override_dh_auto_clean:
	[ ! -f Makefile ] || make distclean
	rm -f KDrill.ad
	make -C makedic clean

override_dh_auto_install:
	# kdrill
	$(MAKE) install DESTDIR=$(PKGDIR) $(SPECIALFLAGS)
	$(MAKE) install.man DESTDIR=$(PKGDIR)
	mkdir -p $(PKGDIR)/usr/share/pixmaps/
	cp kdrill.xpm $(PKGDIR)/usr/share/pixmaps/
	# makedic
	cp makedic/makeedict makedic/makedic $(PKGDIR)/usr/bin
	mkdir -p $(PKGDIR)/usr/share/man/man1
	cp makedic/*.1 $(PKGDIR)/usr/share/man/man1
	# kanadic
	mkdir -p $(PKGDIR)/usr/share/edict
	cp makedic/*.edic $(PKGDIR)/usr/share/edict
	gzip -9v $(PKGDIR)/usr/share/edict/*.edic

build clean install build-arch build-indep binary-arch binary-indep binary:
	dh $@

.PHONY: build clean install build-arch build-indep binary-arch binary-indep binary
.PHONY: override_dh_auto_configure override_dh_auto_build
.PHONY: override_dh_auto_test override_dh_auto_clean
.PHONY: override_dh_auto_install
